<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="AnexarU"
                header="Anexar Transporte"
                widgetVar="Anexarregistro"
                modal="true"
                resizable="false"
                closable="true"
                width="750" >
                
                <h:panelGroup id="detalleAnexar">
                    <h:form id="anexar">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <h:outputLabel for="numerotermo" value="Nombre : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerotermo" value="#{transportistaMB.nombre}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="numerosello" value="Placas: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerosello" value="#{transportistaMB.placas}" style="width: 350px" required="true" requiredMessage="El campo placas es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="lector_temp" value="Número Económico: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="lector_temp" value="#{transportistaMB.numero_economico}"  style="width: 350px"  required="true" requiredMessage="El campo número economico es requerido"/>
                            </p:column>
                             
                            <p:column>
                                <p:commandButton 
                                    value="Alta" 
                                    icon="ui-icon-circle-plus" style="font-size:  100%"
                                    action="#{transportistaMB.anexarRegistro()}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close" style="font-size:  100%"
                                    onclick="PF('Anexarregistro').hide();">
                                </p:commandButton>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
